<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Employee Loan</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
  <h1>
    Employee Loan
    <small></small>
  </h1>
  <ol class="breadcrumb">
    <li class="treeview active"> Finance</li>
    <li class="active"> loan</li>
  </ol>
</section>

<section layout:fragment="main" class="content">


  <div class="row">

    <div class="col-md-6">
      <!-- Horizontal Form -->
      <div class="box box-info">
        <div class="box-header with-border">
          <h3 class="box-title">Loan</h3>
        </div>
        <!-- /.box-header -->
        <!-- form start -->
        <form class="form-horizontal" th:action="@{/finance/loan/save}" th:object="${employeeLoan}" method="post">
          <div class="box-body">

            <div class="form-group">
              <label for="loan" class="col-sm-2 control-label">Loan Type</label>

              <div class="col-sm-10">
                <select class="form-control select2" name="loan" th:field="*{loan}" id="loan" style="width: 100%;">
                  <option th:each="data : ${listLoan}"
                          th:text="${data.getName()}"
                          th:value="${data.id}">sdasd</option>
                </select>
              </div>
            </div>

            <div class="form-group">
              <label for="employes" class="col-sm-2 control-label">Employee</label>

              <div class="col-sm-10">
                <select class="form-control select2" name="employes" th:field="*{employes}" id="employes" style="width: 100%;">
                  <option th:each="data : ${listEmployee}"
                          th:text="${data.getFullName()}"
                          th:value="${data.id}">sdasd</option>
                </select>
              </div>
            </div>

            <div class="form-group">
              <label for="amount" class="col-sm-2 control-label">Amount</label>

              <div class="col-sm-10">
                <input type="text" class="form-control" th:field="*{amount}" name="amount" id="amount" placeholder="Amount">
                <p th:if="${#fields.hasErrors('amount')}" th:errors="*{amount}" class="text-danger"> Mata Anggaran Error</p>
              </div>
            </div>


            <div class="form-group">
              <label for="installment" class="col-sm-2 control-label">Installment</label>

              <div class="col-sm-10">
                <input type="text" class="form-control" th:field="*{installment}" name="installment" id="installment" placeholder="Installment">
                <p th:if="${#fields.hasErrors('installment')}" th:errors="*{installment}" class="text-danger"> Mata Anggaran Error</p>
              </div>
            </div>

            <div class="form-group">
              <label for="installmentPaid" class="col-sm-2 control-label">Installment Paid</label>

              <div class="col-sm-10">
                <input type="text" class="form-control" th:field="*{installmentPaid}" name="installmentPaid" id="installmentPaid" placeholder="Installment Paid">
                <p th:if="${#fields.hasErrors('installmentPaid')}" th:errors="*{installmentPaid}" class="text-danger"> Mata Anggaran Error</p>
              </div>
            </div>

            <div class="form-group">
              <label for="currentPayment" class="col-sm-2 control-label">Current Payment</label>

              <div class="col-sm-10">
                <input type="text" class="form-control" th:field="*{currentPayment}" name="currentPayment" id="currentPayment" placeholder="Curretnt Payment">
                <p th:if="${#fields.hasErrors('currentPayment')}" th:errors="*{currentPayment}" class="text-danger"> Mata Anggaran Error</p>
              </div>
            </div>

            <div class="form-group">
              <label for="totalPayment" class="col-sm-2 control-label">Total Payment</label>

              <div class="col-sm-10">
                <input type="text" class="form-control" th:field="*{totalPayment}" name="totalPayment" id="totalPayment" placeholder="Total Payment">
                <p th:if="${#fields.hasErrors('totalPayment')}" th:errors="*{totalPayment}" class="text-danger"> Mata Anggaran Error</p>
              </div>
            </div>

            <div class="form-group">
              <label for="remaining" class="col-sm-2 control-label">Remaining</label>

              <div class="col-sm-10">
                <input type="text" class="form-control" th:field="*{remaining}" name="remaining" id="remaining" placeholder="Remaining">
                <p th:if="${#fields.hasErrors('remaining')}" th:errors="*{remaining}" class="text-danger"> Mata Anggaran Error</p>
              </div>
            </div>

            <div class="form-group">
              <label for="interest" class="col-sm-2 control-label">Interest %</label>

              <div class="col-sm-10">
                <input type="text" class="form-control" th:field="*{interest}" name="interest" id="interest" placeholder="Interest">
                <p th:if="${#fields.hasErrors('interest')}" th:errors="*{interest}" class="text-danger"> Mata Anggaran Error</p>
              </div>
            </div>

            <div class="form-group">
              <label class="col-sm-2 control-label">Efective Date:</label>
              <div class="col-sm-10">
                <div class="input-group date">
                  <div class="input-group-addon">
                    <i class="fa fa-calendar"></i>
                  </div>
                  <input type="text" class="form-control pull-right" id="effectiveDateString" th:field="*{effectiveDateString}" name="effectiveDateString" placeholder="Effective Date MM/dd/yyyy">
                </div>
              </div>
            </div>

            <div class="form-group">

              <label for="descriptions" class="col-sm-2 control-label">Descriptions</label>

              <div class="col-sm-10">
                <textarea class="form-control" th:field="*{descriptions}" name="descriptions" id="descriptions"></textarea>
              </div>

            </div>

            <input type="hidden" name="id" th:field="*{id}">
          </div>

          <!-- /.box-body -->
          <div class="box-footer">

            <a th:href="@{/finance/loan}" class="btn btn-default">Cancel</a>
            <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

          </div>
          <!-- /.box-footer -->
        </form>
      </div>
    </div>
  </div>


</section>

<section layout:fragment="footer" class="script">
  <script>
    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Datemask dd/mm/yyyy
      $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
      //Datemask2 mm/dd/yyyy
      $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
      //Money Euro
      $('[data-mask]').inputmask()

      //Date range picker
      $('#reservation').daterangepicker()
      //Date range picker with time picker
      $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
      //Date range as a button
      $('#daterange-btn').daterangepicker(
              {
                ranges   : {
                  'Today'       : [moment(), moment()],
                  'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                  'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                  'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                  'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                  'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                },
                startDate: moment().subtract(29, 'days'),
                endDate  : moment()
              },
              function (start, end) {
                $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
              }
      )

      //Date picker
      $('#effectiveDateString').datepicker({
        autoclose: true
      })

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass   : 'iradio_minimal-blue'
      })
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass   : 'iradio_minimal-red'
      })
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass   : 'iradio_flat-green'
      })

      //Colorpicker
      $('.my-colorpicker1').colorpicker()
      //color picker with addon
      $('.my-colorpicker2').colorpicker()

      //Timepicker
      $('.timepicker').timepicker({
        showInputs: false
      })
    })
  </script>
  <script>
    $(".js-example-placeholder-single").select2({
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });

    $('.simpan').click(function () {
      Swal.fire({
        position: 'top-end',
        type: 'success',
        title: 'Your work has been saved',
        showConfirmButton: false
      })
    });
  </script>
</section>
</body>
</html>
</body>
</html>